Subject: Matching rules for UTF-8

From: "Ed Reed" <[email-masked]>
Date: Tue, 31 Aug 1999 17:47:17 -0600

Funny what you run accross while you're writing...

RFC2252 describes may matching rules, including caseIgnoreMatch and caseExactIA5Match, but nothing that persuades me that it applies to case exact matching for UTF-8 strings, like directoryString.

The question comes up because I'm trying to use RFC2079 URI definitions, which calls out the syntax caseExactString, which isn't defined in RFC2252, as far as I can find.  I've found myself muttering that someone should create a registry of all these things, but have firmly bit my tongue, lest someone think I'm in favor or resurrecting the schema registry wg...

So - is everyone happy with my using URIs, as defined in 2079, as an LDAP alternative to presentationAddress (RFC1278 - you remember "TELEX+00728722+RFC-1006+03+10.0.0.6", don't you?) which is what 2252 fails to define, but uses the same name as...

Mark, is caseExact what you think is needed for the URI syntax, or caseIgnore?

Ed

=================
Ed Reed, Technologist
Novell Product Management
+1 801 222 3944 (new number!)

---

From: Mark Wahl <[email-masked]>
Date: Tue, 31 Aug 1999 19:02:39 -0500

The RHS of HTTP URLs are case sensitive, so a case exact match should be used.
However, should it not be a caseExactIA5Match?

Mark Wahl, Directory Product Architect
Innosoft International, Inc.